svn::StatusFilter Struct Reference

`#include <client.hpp>`

## Public Member Functions

| StatusFilter ()

## Data Fields

bool | showUnversioned
bool | showUnmodified
bool | showModified
| this includes showConflicted as well More...
bool | showConflicted
bool | showIgnored
bool | showExternals

## Detailed Description

These flags can be passed to the status function to filter the files

See Also
  status

## Constructor & Destructor Documentation

svn::StatusFilter::StatusFilter | ( |  | ) |

inline

## Field Documentation

bool svn::StatusFilter::showConflicted

bool svn::StatusFilter::showExternals

bool svn::StatusFilter::showIgnored

bool svn::StatusFilter::showModified

this includes showConflicted as well

bool svn::StatusFilter::showUnmodified

bool svn::StatusFilter::showUnversioned

The documentation for this struct was generated from the following file:

- client.hpp